commit d2671b04d025dee3b8311d2d83e0a0342c670f52
Author: Gavan <gavan@coolfactor.org>
Date:   Fri Aug 21 15:46:01 2020 +0100

    Taint: fix off-by-one in is_tainted().  Bug 2634
    
    (cherry picked from commit e0ae68c8ee6788508da4989ee0d6fcbaf40c7b97)

diff --git a/src/src/store.c b/src/src/store.c
index c460ba383..7d08c9804 100644
--- a/src/src/store.c
+++ b/src/src/store.c
@@ -188,14 +188,14 @@ for (int pool = POOL_TAINT_BASE; pool < nelem(chainbase); pool++)
   if ((b = current_block[pool]))
     {
     uschar * bc = US b + ALIGNED_SIZEOF_STOREBLOCK;
-    if (US p >= bc && US p <= bc + b->length) return TRUE;
+    if (US p >= bc && US p < bc + b->length) return TRUE;
     }
 
 for (int pool = POOL_TAINT_BASE; pool < nelem(chainbase); pool++)
   for (b = chainbase[pool]; b; b = b->next)
     {
     uschar * bc = US b + ALIGNED_SIZEOF_STOREBLOCK;
-    if (US p >= bc && US p <= bc + b->length) return TRUE;
+    if (US p >= bc && US p < bc + b->length) return TRUE;
     }
 return FALSE;
 }

